SRu kde-l10n-* translation packages

Bug #1576455 reported by Scarlett Gately Moore on 2016-04-29
64
This bug affects 17 people
Affects Status Importance Assigned to Milestone
kde-l10n-ru (Ubuntu)
Undecided
Ubuntu Stable Release Updates Team
Xenial
Undecided
Unassigned

Bug Description

It seems in the madness of Release something went terribly wrong in the kde-l10n* upload, a rather large check of packages did not get uploaded at all, creating many issues with non english installs. I have created the latest translations packages that match the package versions currently in archive. I would be very happy if these could make it into archive.

Fixes: Bug 1571564, Bug #1574626 And possibly others.

The new packages have been uploaded.
Thanks for your consideration.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in kde-l10n-ru (Ubuntu):
status: New → Confirmed
Philip Muškovac (yofel) wrote :

The missing packages got uploaded to yakkety a couple days ago

Changed in kde-l10n-ru (Ubuntu):
status: Confirmed → Fix Released
Jeremielapuree (jeremielapuree) wrote :

How do we update our Kubuntu 16.04 to fix this problem?

Changed in kde-l10n-ru (Ubuntu Xenial):
status: New → Confirmed
Chris J Arges (arges) wrote :

The version in yakkety is the following:
 kde-l10n-zhcn | 4:15.12.3-0ubuntu2 | yakkety/universe | source, all

The version you uploaded for xenial is identical and needs to be versioned correctly such that it is less than yakkety.
See this wiki for suggestions:
https://wiki.ubuntu.com/SecurityTeam/UpdatePreparation#Update_the_packaging

Jeremielapuree (jeremielapuree) wrote :

So, this package won't never be repaired for Xenial? Will Xenial remain forvever a broken distrib?

Scarlett Gately Moore (sgclark) wrote :

I tried to build 1.1 and it will not build at all for me. I give up. I tried.

Philip Muškovac (yofel) wrote :

A set with 1.1 is up now

Hello Scarlett, or anyone else affected,

Accepted kde-l10n-ru into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/kde-l10n-ru/4:15.12.3-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in kde-l10n-ru (Ubuntu Xenial):
status: Confirmed → Fix Committed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

I accepted the other kde-l10n-* too, let's use -ru as a representative task here instead of adding a gazillion more.

Hi, I was attempting to recruit testers when it was brought to my intention that this broke the installer ( the missing translations ) I am not clear on how we can test this without a new ISO. Is there a way to create a new ISO with proposed enabled?

Thanks,
Scarlett

Philip Muškovac (yofel) wrote :

So, I wasn't actually able to reproduce this with -ru (because that's 15.12.1 in -release), but with -nl (15.08.2). As the problematic breaks are against << 4:15.08.3-0ubuntu2~ the update resolves the problem.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kde-l10n-ru - 4:15.12.3-0ubuntu1.1

---------------
kde-l10n-ru (4:15.12.3-0ubuntu1.1) xenial; urgency=medium

  * Re-run translations for xenial. Closes: (LP: #1576455)

 -- Scarlett Clark <email address hidden> Mon, 02 May 2016 21:11:07 -0700

Changed in kde-l10n-ru (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for kde-l10n-ru has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

tags: added: kubuntu xenial
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers